Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj	(revision 952)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj	(revision 953)
@@ -142,5 +142,5 @@
       <DesignTimeSharedInput>True</DesignTimeSharedInput>
     </Compile>
-    <Compile Include="Service References\ClientWCFService\Reference.cs">
+    <Compile Include="Service References\ClientService\Reference.cs">
       <AutoGen>True</AutoGen>
       <DesignTime>True</DesignTime>
@@ -158,31 +158,32 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="Resources\Info.png" />
+    <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Common.xsd" />
+    <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Core.ClientConsoleService.xsd" />
+    <None Include="Service References\ClientService\service.wsdl" />
+    <None Include="Service References\ClientService\service.xsd" />
+    <None Include="Service References\ClientService\service1.xsd" />
+  </ItemGroup>
+  <ItemGroup>
+    <WCFMetadata Include="Service References\" />
+  </ItemGroup>
+  <ItemGroup>
+    <WCFMetadataStorage Include="Service References\ClientService\" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\ClientService\configuration91.svcinfo" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\ClientService\configuration.svcinfo" />
+  </ItemGroup>
+  <ItemGroup>
     <None Include="app.config" />
-    <None Include="Resources\Info.png" />
-    <None Include="Service References\ClientWCFService\HeuristicLab.Hive.Client.Core.ClientConsoleService.xsd" />
-    <None Include="Service References\ClientWCFService\service.wsdl" />
-    <None Include="Service References\ClientWCFService\service.xsd" />
-    <None Include="Service References\ClientWCFService\service1.xsd" />
-  </ItemGroup>
-  <ItemGroup>
-    <WCFMetadata Include="Service References\" />
-  </ItemGroup>
-  <ItemGroup>
-    <WCFMetadataStorage Include="Service References\ClientWCFService\" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\ClientWCFService\configuration91.svcinfo" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\ClientWCFService\configuration.svcinfo" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\ClientWCFService\HeuristicLab.Hive.Client.Console.ClientWCFService.ConnectionContainer.datasource">
+    <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Console.ClientService.ConnectionContainer.datasource">
       <DependentUpon>Reference.svcmap</DependentUpon>
     </None>
-    <None Include="Service References\ClientWCFService\HeuristicLab.Hive.Client.Console.ClientWCFService.StatusCommons.datasource">
+    <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Console.ClientService.StatusCommons.datasource">
       <DependentUpon>Reference.svcmap</DependentUpon>
     </None>
-    <None Include="Service References\ClientWCFService\Reference.svcmap">
+    <None Include="Service References\ClientService\Reference.svcmap">
       <Generator>WCF Proxy Generator</Generator>
       <LastGenOutput>Reference.cs</LastGenOutput>
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 952)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 953)
@@ -31,5 +31,6 @@
 using System.Threading;
 using ZedGraph;
-using HeuristicLab.Hive.Client.Console.ClientWCFService;
+//using HeuristicLab.Hive.Client.Console.ClientWCFService;
+using System.ServiceModel;
 
 namespace HeuristicLab.Hive.Client.Console {
@@ -46,6 +47,7 @@
       GetEventLog();
 
-      ClientConsoleCommunicatorClient cccc = new ClientConsoleCommunicatorClient();
-      cccc.GetStatusInfos();
+      //ClientConsoleCommunicatorClient cccc = new ClientConsoleCommunicatorClient(new NetTcpBinding(),
+      //    new EndpointAddress("net.tcp://127.0.0.1:8000/ClientConsole/ClientConsoleCommunicator"));
+      //StatusCommons sc = cccc.GetStatusInfos();
     }
 
@@ -87,6 +89,4 @@
         curEventLogEntry.SubItems.Add(ev.TimeGenerated.Date.ToString());
         curEventLogEntry.SubItems.Add(ev.TimeGenerated.TimeOfDay.ToString());
-
-
       }
     }
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Settings.Designer.cs	(revision 952)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Settings.Designer.cs	(revision 953)
@@ -10,17 +10,29 @@
 
 namespace HeuristicLab.Hive.Client.Console.Properties {
-
-
-  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
-  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
-  internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
-
-    private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
-
-    public static Settings Default {
-      get {
-        return defaultInstance;
-      }
+    
+    
+    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
+    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+        
+        private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
+        
+        public static Settings Default {
+            get {
+                return defaultInstance;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("10.0.0.1")]
+        public string IpAdress {
+            get {
+                return ((string)(this["IpAdress"]));
+            }
+            set {
+                this["IpAdress"] = value;
+            }
+        }
     }
-  }
 }
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Settings.settings	(revision 952)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Settings.settings	(revision 953)
@@ -1,7 +1,9 @@
 ﻿<?xml version='1.0' encoding='utf-8'?>
-<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)">
-  <Profiles>
-    <Profile Name="(Default)" />
-  </Profiles>
-  <Settings />
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Hive.Client.Console.Properties" GeneratedClassName="Settings">
+  <Profiles />
+  <Settings>
+    <Setting Name="IpAdress" Type="System.String" Scope="User">
+      <Value Profile="(Default)">10.0.0.1</Value>
+    </Setting>
+  </Settings>
 </SettingsFile>
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/ServerProxy.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/ServerProxy.cs	(revision 952)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/ServerProxy.cs	(revision 953)
@@ -5,52 +5,102 @@
 
 namespace HeuristicLab.Hive.Client.Console {
-  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-  [System.ServiceModel.ServiceContractAttribute(ConfigurationName = "IClientConsoleCommunicator")]
-  public interface IClientConsoleCommunicator {
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IClientConsoleCommunicator/GetStatusInfos", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/GetStatusInfosResponse")]
-    HeuristicLab.Hive.Client.Communication.ClientConsole.StatusCommons GetStatusInfos();
-
-    [System.ServiceModel.OperationContractAttribute(AsyncPattern = true, Action = "http://tempuri.org/IClientConsoleCommunicator/GetStatusInfos", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/GetStatusInfosResponse")]
-    System.IAsyncResult BeginGetStatusInfos(System.AsyncCallback callback, object asyncState);
-
-    HeuristicLab.Hive.Client.Communication.ClientConsole.StatusCommons EndGetStatusInfos(System.IAsyncResult result);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IClientConsoleCommunicator/GetConnection", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/GetConnectionResponse")]
-    HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer GetConnection();
-
-    [System.ServiceModel.OperationContractAttribute(AsyncPattern = true, Action = "http://tempuri.org/IClientConsoleCommunicator/GetConnection", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/GetConnectionResponse")]
-    System.IAsyncResult BeginGetConnection(System.AsyncCallback callback, object asyncState);
-
-    HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer EndGetConnection(System.IAsyncResult result);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IClientConsoleCommunicator/SetConnection", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/SetConnectionResponse")]
-    void SetConnection(HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer container);
-
-    [System.ServiceModel.OperationContractAttribute(AsyncPattern = true, Action = "http://tempuri.org/IClientConsoleCommunicator/SetConnection", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/SetConnectionResponse")]
-    System.IAsyncResult BeginSetConnection(HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer container, System.AsyncCallback callback, object asyncState);
-
-    void EndSetConnection(System.IAsyncResult result);
-  }
-
-  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-  public interface IClientConsoleCommunicatorChannel : IClientConsoleCommunicator, System.ServiceModel.IClientChannel {
-  }
-
   [System.Diagnostics.DebuggerStepThroughAttribute()]
-  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-  public partial class GetStatusInfosCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
-
-    private object[] results;
-
-    public GetStatusInfosCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) :
-      base(exception, cancelled, userState) {
-      this.results = results;
-    }
-
-    public HeuristicLab.Hive.Client.Communication.ClientConsole.StatusCommons Result {
-      get {
-        base.RaiseExceptionIfNecessary();
-        return ((HeuristicLab.Hive.Client.Communication.ClientConsole.StatusCommons)(this.results[0]));
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
+  [System.Runtime.Serialization.DataContractAttribute(Name = "StatusCommons", Namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConso" +
+      "leService")]
+  public partial class StatusCommons : object, System.Runtime.Serialization.IExtensibleDataObject {
+
+    private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
+
+    private System.Guid ClientGuidk__BackingFieldField;
+
+    private System.DateTime ConnectedSincek__BackingFieldField;
+
+    private int JobsAbortedk__BackingFieldField;
+
+    private int JobsDonek__BackingFieldField;
+
+    private int JobsFetchedk__BackingFieldField;
+
+    private HeuristicLab.Hive.Client.Core.ClientConsoleService.JobStatus[] Jobsk__BackingFieldField;
+
+    private HeuristicLab.Hive.Client.Common.NetworkEnumWcfConnState Statusk__BackingFieldField;
+
+    public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
+      get {
+        return this.extensionDataField;
+      }
+      set {
+        this.extensionDataField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<ClientGuid>k__BackingField", IsRequired = true)]
+    public System.Guid ClientGuidk__BackingField {
+      get {
+        return this.ClientGuidk__BackingFieldField;
+      }
+      set {
+        this.ClientGuidk__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<ConnectedSince>k__BackingField", IsRequired = true)]
+    public System.DateTime ConnectedSincek__BackingField {
+      get {
+        return this.ConnectedSincek__BackingFieldField;
+      }
+      set {
+        this.ConnectedSincek__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<JobsAborted>k__BackingField", IsRequired = true)]
+    public int JobsAbortedk__BackingField {
+      get {
+        return this.JobsAbortedk__BackingFieldField;
+      }
+      set {
+        this.JobsAbortedk__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<JobsDone>k__BackingField", IsRequired = true)]
+    public int JobsDonek__BackingField {
+      get {
+        return this.JobsDonek__BackingFieldField;
+      }
+      set {
+        this.JobsDonek__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<JobsFetched>k__BackingField", IsRequired = true)]
+    public int JobsFetchedk__BackingField {
+      get {
+        return this.JobsFetchedk__BackingFieldField;
+      }
+      set {
+        this.JobsFetchedk__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<Jobs>k__BackingField", IsRequired = true)]
+    public HeuristicLab.Hive.Client.Core.ClientConsoleService.JobStatus[] Jobsk__BackingField {
+      get {
+        return this.Jobsk__BackingFieldField;
+      }
+      set {
+        this.Jobsk__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<Status>k__BackingField", IsRequired = true)]
+    public HeuristicLab.Hive.Client.Common.NetworkEnumWcfConnState Statusk__BackingField {
+      get {
+        return this.Statusk__BackingFieldField;
+      }
+      set {
+        this.Statusk__BackingFieldField = value;
       }
     }
@@ -58,18 +108,53 @@
 
   [System.Diagnostics.DebuggerStepThroughAttribute()]
-  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-  public partial class GetConnectionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
-
-    private object[] results;
-
-    public GetConnectionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) :
-      base(exception, cancelled, userState) {
-      this.results = results;
-    }
-
-    public HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer Result {
-      get {
-        base.RaiseExceptionIfNecessary();
-        return ((HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer)(this.results[0]));
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
+  [System.Runtime.Serialization.DataContractAttribute(Name = "JobStatus", Namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConso" +
+      "leService")]
+  public partial class JobStatus : object, System.Runtime.Serialization.IExtensibleDataObject {
+
+    private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
+
+    private long JobIdk__BackingFieldField;
+
+    private double Progressk__BackingFieldField;
+
+    private System.DateTime Sincek__BackingFieldField;
+
+    public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
+      get {
+        return this.extensionDataField;
+      }
+      set {
+        this.extensionDataField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<JobId>k__BackingField", IsRequired = true)]
+    public long JobIdk__BackingField {
+      get {
+        return this.JobIdk__BackingFieldField;
+      }
+      set {
+        this.JobIdk__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<Progress>k__BackingField", IsRequired = true)]
+    public double Progressk__BackingField {
+      get {
+        return this.Progressk__BackingFieldField;
+      }
+      set {
+        this.Progressk__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<Since>k__BackingField", IsRequired = true)]
+    public System.DateTime Sincek__BackingField {
+      get {
+        return this.Sincek__BackingFieldField;
+      }
+      set {
+        this.Sincek__BackingFieldField = value;
       }
     }
@@ -77,194 +162,390 @@
 
   [System.Diagnostics.DebuggerStepThroughAttribute()]
-  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-  public partial class ClientConsoleCommunicatorClient : System.ServiceModel.ClientBase<IClientConsoleCommunicator>, IClientConsoleCommunicator {
-
-    private BeginOperationDelegate onBeginGetStatusInfosDelegate;
-
-    private EndOperationDelegate onEndGetStatusInfosDelegate;
-
-    private System.Threading.SendOrPostCallback onGetStatusInfosCompletedDelegate;
-
-    private BeginOperationDelegate onBeginGetConnectionDelegate;
-
-    private EndOperationDelegate onEndGetConnectionDelegate;
-
-    private System.Threading.SendOrPostCallback onGetConnectionCompletedDelegate;
-
-    private BeginOperationDelegate onBeginSetConnectionDelegate;
-
-    private EndOperationDelegate onEndSetConnectionDelegate;
-
-    private System.Threading.SendOrPostCallback onSetConnectionCompletedDelegate;
-
-    public ClientConsoleCommunicatorClient() {
-    }
-
-    public ClientConsoleCommunicatorClient(string endpointConfigurationName) :
-      base(endpointConfigurationName) {
-    }
-
-    public ClientConsoleCommunicatorClient(string endpointConfigurationName, string remoteAddress) :
-      base(endpointConfigurationName, remoteAddress) {
-    }
-
-    public ClientConsoleCommunicatorClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
-      base(endpointConfigurationName, remoteAddress) {
-    }
-
-    public ClientConsoleCommunicatorClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
-      base(binding, remoteAddress) {
-    }
-
-    public event System.EventHandler<GetStatusInfosCompletedEventArgs> GetStatusInfosCompleted;
-
-    public event System.EventHandler<GetConnectionCompletedEventArgs> GetConnectionCompleted;
-
-    public event System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs> SetConnectionCompleted;
-
-    public HeuristicLab.Hive.Client.Communication.ClientConsole.StatusCommons GetStatusInfos() {
-      return base.Channel.GetStatusInfos();
-    }
-
-    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-    public System.IAsyncResult BeginGetStatusInfos(System.AsyncCallback callback, object asyncState) {
-      return base.Channel.BeginGetStatusInfos(callback, asyncState);
-    }
-
-    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-    public HeuristicLab.Hive.Client.Communication.ClientConsole.StatusCommons EndGetStatusInfos(System.IAsyncResult result) {
-      return base.Channel.EndGetStatusInfos(result);
-    }
-
-    private System.IAsyncResult OnBeginGetStatusInfos(object[] inValues, System.AsyncCallback callback, object asyncState) {
-      return this.BeginGetStatusInfos(callback, asyncState);
-    }
-
-    private object[] OnEndGetStatusInfos(System.IAsyncResult result) {
-      HeuristicLab.Hive.Client.Communication.ClientConsole.StatusCommons retVal = this.EndGetStatusInfos(result);
-      return new object[] {
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
+  [System.Runtime.Serialization.DataContractAttribute(Name = "ConnectionContainer", Namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConso" +
+      "leService")]
+  public partial class ConnectionContainer : object, System.Runtime.Serialization.IExtensibleDataObject {
+
+    private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
+
+    private string IPAdressk__BackingFieldField;
+
+    private int Portk__BackingFieldField;
+
+    public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
+      get {
+        return this.extensionDataField;
+      }
+      set {
+        this.extensionDataField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<IPAdress>k__BackingField", IsRequired = true)]
+    public string IPAdressk__BackingField {
+      get {
+        return this.IPAdressk__BackingFieldField;
+      }
+      set {
+        this.IPAdressk__BackingFieldField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute(Name = "<Port>k__BackingField", IsRequired = true)]
+    public int Portk__BackingField {
+      get {
+        return this.Portk__BackingFieldField;
+      }
+      set {
+        this.Portk__BackingFieldField = value;
+      }
+    }
+  }
+}
+namespace HeuristicLab.Hive.Client.Common {
+  using System.Runtime.Serialization;
+
+
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
+  [System.Runtime.Serialization.DataContractAttribute(Name = "NetworkEnum.WcfConnState", Namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Common")]
+  public enum NetworkEnumWcfConnState : int {
+
+    [System.Runtime.Serialization.EnumMemberAttribute()]
+    Connected = 0,
+
+    [System.Runtime.Serialization.EnumMemberAttribute()]
+    Disconnected = 1,
+
+    [System.Runtime.Serialization.EnumMemberAttribute()]
+    Failed = 2,
+  }
+}
+
+
+[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+[System.ServiceModel.ServiceContractAttribute(ConfigurationName = "IClientConsoleCommunicator")]
+public interface IClientConsoleCommunicator {
+
+  [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IClientConsoleCommunicator/GetStatusInfos", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/GetStatusInfosResponse")]
+  HeuristicLab.Hive.Client.Core.ClientConsoleService.StatusCommons GetStatusInfos();
+
+  [System.ServiceModel.OperationContractAttribute(AsyncPattern = true, Action = "http://tempuri.org/IClientConsoleCommunicator/GetStatusInfos", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/GetStatusInfosResponse")]
+  System.IAsyncResult BeginGetStatusInfos(System.AsyncCallback callback, object asyncState);
+
+  HeuristicLab.Hive.Client.Core.ClientConsoleService.StatusCommons EndGetStatusInfos(System.IAsyncResult result);
+
+  [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IClientConsoleCommunicator/GetConnection", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/GetConnectionResponse")]
+  HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer GetConnection();
+
+  [System.ServiceModel.OperationContractAttribute(AsyncPattern = true, Action = "http://tempuri.org/IClientConsoleCommunicator/GetConnection", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/GetConnectionResponse")]
+  System.IAsyncResult BeginGetConnection(System.AsyncCallback callback, object asyncState);
+
+  HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer EndGetConnection(System.IAsyncResult result);
+
+  [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IClientConsoleCommunicator/SetConnection", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/SetConnectionResponse")]
+  void SetConnection(HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer container);
+
+  [System.ServiceModel.OperationContractAttribute(AsyncPattern = true, Action = "http://tempuri.org/IClientConsoleCommunicator/SetConnection", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/SetConnectionResponse")]
+  System.IAsyncResult BeginSetConnection(HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer container, System.AsyncCallback callback, object asyncState);
+
+  void EndSetConnection(System.IAsyncResult result);
+
+  [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IClientConsoleCommunicator/Disconnect", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/DisconnectResponse")]
+  void Disconnect();
+
+  [System.ServiceModel.OperationContractAttribute(AsyncPattern = true, Action = "http://tempuri.org/IClientConsoleCommunicator/Disconnect", ReplyAction = "http://tempuri.org/IClientConsoleCommunicator/DisconnectResponse")]
+  System.IAsyncResult BeginDisconnect(System.AsyncCallback callback, object asyncState);
+
+  void EndDisconnect(System.IAsyncResult result);
+}
+
+[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+public interface IClientConsoleCommunicatorChannel : IClientConsoleCommunicator, System.ServiceModel.IClientChannel {
+}
+
+[System.Diagnostics.DebuggerStepThroughAttribute()]
+[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+public partial class GetStatusInfosCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
+
+  private object[] results;
+
+  public GetStatusInfosCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) :
+    base(exception, cancelled, userState) {
+    this.results = results;
+  }
+
+  public HeuristicLab.Hive.Client.Core.ClientConsoleService.StatusCommons Result {
+    get {
+      base.RaiseExceptionIfNecessary();
+      return ((HeuristicLab.Hive.Client.Core.ClientConsoleService.StatusCommons)(this.results[0]));
+    }
+  }
+}
+
+[System.Diagnostics.DebuggerStepThroughAttribute()]
+[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+public partial class GetConnectionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
+
+  private object[] results;
+
+  public GetConnectionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) :
+    base(exception, cancelled, userState) {
+    this.results = results;
+  }
+
+  public HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer Result {
+    get {
+      base.RaiseExceptionIfNecessary();
+      return ((HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer)(this.results[0]));
+    }
+  }
+}
+
+[System.Diagnostics.DebuggerStepThroughAttribute()]
+[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+public partial class ClientConsoleCommunicatorClient : System.ServiceModel.ClientBase<IClientConsoleCommunicator>, IClientConsoleCommunicator {
+
+  private BeginOperationDelegate onBeginGetStatusInfosDelegate;
+
+  private EndOperationDelegate onEndGetStatusInfosDelegate;
+
+  private System.Threading.SendOrPostCallback onGetStatusInfosCompletedDelegate;
+
+  private BeginOperationDelegate onBeginGetConnectionDelegate;
+
+  private EndOperationDelegate onEndGetConnectionDelegate;
+
+  private System.Threading.SendOrPostCallback onGetConnectionCompletedDelegate;
+
+  private BeginOperationDelegate onBeginSetConnectionDelegate;
+
+  private EndOperationDelegate onEndSetConnectionDelegate;
+
+  private System.Threading.SendOrPostCallback onSetConnectionCompletedDelegate;
+
+  private BeginOperationDelegate onBeginDisconnectDelegate;
+
+  private EndOperationDelegate onEndDisconnectDelegate;
+
+  private System.Threading.SendOrPostCallback onDisconnectCompletedDelegate;
+
+  public ClientConsoleCommunicatorClient() {
+  }
+
+  public ClientConsoleCommunicatorClient(string endpointConfigurationName) :
+    base(endpointConfigurationName) {
+  }
+
+  public ClientConsoleCommunicatorClient(string endpointConfigurationName, string remoteAddress) :
+    base(endpointConfigurationName, remoteAddress) {
+  }
+
+  public ClientConsoleCommunicatorClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
+    base(endpointConfigurationName, remoteAddress) {
+  }
+
+  public ClientConsoleCommunicatorClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
+    base(binding, remoteAddress) {
+  }
+
+  public event System.EventHandler<GetStatusInfosCompletedEventArgs> GetStatusInfosCompleted;
+
+  public event System.EventHandler<GetConnectionCompletedEventArgs> GetConnectionCompleted;
+
+  public event System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs> SetConnectionCompleted;
+
+  public event System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs> DisconnectCompleted;
+
+  public HeuristicLab.Hive.Client.Core.ClientConsoleService.StatusCommons GetStatusInfos() {
+    return base.Channel.GetStatusInfos();
+  }
+
+  [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+  public System.IAsyncResult BeginGetStatusInfos(System.AsyncCallback callback, object asyncState) {
+    return base.Channel.BeginGetStatusInfos(callback, asyncState);
+  }
+
+  [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+  public HeuristicLab.Hive.Client.Core.ClientConsoleService.StatusCommons EndGetStatusInfos(System.IAsyncResult result) {
+    return base.Channel.EndGetStatusInfos(result);
+  }
+
+  private System.IAsyncResult OnBeginGetStatusInfos(object[] inValues, System.AsyncCallback callback, object asyncState) {
+    return this.BeginGetStatusInfos(callback, asyncState);
+  }
+
+  private object[] OnEndGetStatusInfos(System.IAsyncResult result) {
+    HeuristicLab.Hive.Client.Core.ClientConsoleService.StatusCommons retVal = this.EndGetStatusInfos(result);
+    return new object[] {
                 retVal};
-    }
-
-    private void OnGetStatusInfosCompleted(object state) {
-      if ((this.GetStatusInfosCompleted != null)) {
-        InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
-        this.GetStatusInfosCompleted(this, new GetStatusInfosCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
-      }
-    }
-
-    public void GetStatusInfosAsync() {
-      this.GetStatusInfosAsync(null);
-    }
-
-    public void GetStatusInfosAsync(object userState) {
-      if ((this.onBeginGetStatusInfosDelegate == null)) {
-        this.onBeginGetStatusInfosDelegate = new BeginOperationDelegate(this.OnBeginGetStatusInfos);
-      }
-      if ((this.onEndGetStatusInfosDelegate == null)) {
-        this.onEndGetStatusInfosDelegate = new EndOperationDelegate(this.OnEndGetStatusInfos);
-      }
-      if ((this.onGetStatusInfosCompletedDelegate == null)) {
-        this.onGetStatusInfosCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnGetStatusInfosCompleted);
-      }
-      base.InvokeAsync(this.onBeginGetStatusInfosDelegate, null, this.onEndGetStatusInfosDelegate, this.onGetStatusInfosCompletedDelegate, userState);
-    }
-
-    public HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer GetConnection() {
-      return base.Channel.GetConnection();
-    }
-
-    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-    public System.IAsyncResult BeginGetConnection(System.AsyncCallback callback, object asyncState) {
-      return base.Channel.BeginGetConnection(callback, asyncState);
-    }
-
-    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-    public HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer EndGetConnection(System.IAsyncResult result) {
-      return base.Channel.EndGetConnection(result);
-    }
-
-    private System.IAsyncResult OnBeginGetConnection(object[] inValues, System.AsyncCallback callback, object asyncState) {
-      return this.BeginGetConnection(callback, asyncState);
-    }
-
-    private object[] OnEndGetConnection(System.IAsyncResult result) {
-      HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer retVal = this.EndGetConnection(result);
-      return new object[] {
+  }
+
+  private void OnGetStatusInfosCompleted(object state) {
+    if ((this.GetStatusInfosCompleted != null)) {
+      InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
+      this.GetStatusInfosCompleted(this, new GetStatusInfosCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
+    }
+  }
+
+  public void GetStatusInfosAsync() {
+    this.GetStatusInfosAsync(null);
+  }
+
+  public void GetStatusInfosAsync(object userState) {
+    if ((this.onBeginGetStatusInfosDelegate == null)) {
+      this.onBeginGetStatusInfosDelegate = new BeginOperationDelegate(this.OnBeginGetStatusInfos);
+    }
+    if ((this.onEndGetStatusInfosDelegate == null)) {
+      this.onEndGetStatusInfosDelegate = new EndOperationDelegate(this.OnEndGetStatusInfos);
+    }
+    if ((this.onGetStatusInfosCompletedDelegate == null)) {
+      this.onGetStatusInfosCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnGetStatusInfosCompleted);
+    }
+    base.InvokeAsync(this.onBeginGetStatusInfosDelegate, null, this.onEndGetStatusInfosDelegate, this.onGetStatusInfosCompletedDelegate, userState);
+  }
+
+  public HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer GetConnection() {
+    return base.Channel.GetConnection();
+  }
+
+  [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+  public System.IAsyncResult BeginGetConnection(System.AsyncCallback callback, object asyncState) {
+    return base.Channel.BeginGetConnection(callback, asyncState);
+  }
+
+  [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+  public HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer EndGetConnection(System.IAsyncResult result) {
+    return base.Channel.EndGetConnection(result);
+  }
+
+  private System.IAsyncResult OnBeginGetConnection(object[] inValues, System.AsyncCallback callback, object asyncState) {
+    return this.BeginGetConnection(callback, asyncState);
+  }
+
+  private object[] OnEndGetConnection(System.IAsyncResult result) {
+    HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer retVal = this.EndGetConnection(result);
+    return new object[] {
                 retVal};
-    }
-
-    private void OnGetConnectionCompleted(object state) {
-      if ((this.GetConnectionCompleted != null)) {
-        InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
-        this.GetConnectionCompleted(this, new GetConnectionCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
-      }
-    }
-
-    public void GetConnectionAsync() {
-      this.GetConnectionAsync(null);
-    }
-
-    public void GetConnectionAsync(object userState) {
-      if ((this.onBeginGetConnectionDelegate == null)) {
-        this.onBeginGetConnectionDelegate = new BeginOperationDelegate(this.OnBeginGetConnection);
-      }
-      if ((this.onEndGetConnectionDelegate == null)) {
-        this.onEndGetConnectionDelegate = new EndOperationDelegate(this.OnEndGetConnection);
-      }
-      if ((this.onGetConnectionCompletedDelegate == null)) {
-        this.onGetConnectionCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnGetConnectionCompleted);
-      }
-      base.InvokeAsync(this.onBeginGetConnectionDelegate, null, this.onEndGetConnectionDelegate, this.onGetConnectionCompletedDelegate, userState);
-    }
-
-    public void SetConnection(HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer container) {
-      base.Channel.SetConnection(container);
-    }
-
-    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-    public System.IAsyncResult BeginSetConnection(HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer container, System.AsyncCallback callback, object asyncState) {
-      return base.Channel.BeginSetConnection(container, callback, asyncState);
-    }
-
-    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-    public void EndSetConnection(System.IAsyncResult result) {
-      base.Channel.EndSetConnection(result);
-    }
-
-    private System.IAsyncResult OnBeginSetConnection(object[] inValues, System.AsyncCallback callback, object asyncState) {
-      HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer container = ((HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer)(inValues[0]));
-      return this.BeginSetConnection(container, callback, asyncState);
-    }
-
-    private object[] OnEndSetConnection(System.IAsyncResult result) {
-      this.EndSetConnection(result);
-      return null;
-    }
-
-    private void OnSetConnectionCompleted(object state) {
-      if ((this.SetConnectionCompleted != null)) {
-        InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
-        this.SetConnectionCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(e.Error, e.Cancelled, e.UserState));
-      }
-    }
-
-    public void SetConnectionAsync(HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer container) {
-      this.SetConnectionAsync(container, null);
-    }
-
-    public void SetConnectionAsync(HeuristicLab.Hive.Client.Communication.ClientConsole.ConnectionContainer container, object userState) {
-      if ((this.onBeginSetConnectionDelegate == null)) {
-        this.onBeginSetConnectionDelegate = new BeginOperationDelegate(this.OnBeginSetConnection);
-      }
-      if ((this.onEndSetConnectionDelegate == null)) {
-        this.onEndSetConnectionDelegate = new EndOperationDelegate(this.OnEndSetConnection);
-      }
-      if ((this.onSetConnectionCompletedDelegate == null)) {
-        this.onSetConnectionCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnSetConnectionCompleted);
-      }
-      base.InvokeAsync(this.onBeginSetConnectionDelegate, new object[] {
+  }
+
+  private void OnGetConnectionCompleted(object state) {
+    if ((this.GetConnectionCompleted != null)) {
+      InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
+      this.GetConnectionCompleted(this, new GetConnectionCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
+    }
+  }
+
+  public void GetConnectionAsync() {
+    this.GetConnectionAsync(null);
+  }
+
+  public void GetConnectionAsync(object userState) {
+    if ((this.onBeginGetConnectionDelegate == null)) {
+      this.onBeginGetConnectionDelegate = new BeginOperationDelegate(this.OnBeginGetConnection);
+    }
+    if ((this.onEndGetConnectionDelegate == null)) {
+      this.onEndGetConnectionDelegate = new EndOperationDelegate(this.OnEndGetConnection);
+    }
+    if ((this.onGetConnectionCompletedDelegate == null)) {
+      this.onGetConnectionCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnGetConnectionCompleted);
+    }
+    base.InvokeAsync(this.onBeginGetConnectionDelegate, null, this.onEndGetConnectionDelegate, this.onGetConnectionCompletedDelegate, userState);
+  }
+
+  public void SetConnection(HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer container) {
+    base.Channel.SetConnection(container);
+  }
+
+  [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+  public System.IAsyncResult BeginSetConnection(HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer container, System.AsyncCallback callback, object asyncState) {
+    return base.Channel.BeginSetConnection(container, callback, asyncState);
+  }
+
+  [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+  public void EndSetConnection(System.IAsyncResult result) {
+    base.Channel.EndSetConnection(result);
+  }
+
+  private System.IAsyncResult OnBeginSetConnection(object[] inValues, System.AsyncCallback callback, object asyncState) {
+    HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer container = ((HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer)(inValues[0]));
+    return this.BeginSetConnection(container, callback, asyncState);
+  }
+
+  private object[] OnEndSetConnection(System.IAsyncResult result) {
+    this.EndSetConnection(result);
+    return null;
+  }
+
+  private void OnSetConnectionCompleted(object state) {
+    if ((this.SetConnectionCompleted != null)) {
+      InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
+      this.SetConnectionCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(e.Error, e.Cancelled, e.UserState));
+    }
+  }
+
+  public void SetConnectionAsync(HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer container) {
+    this.SetConnectionAsync(container, null);
+  }
+
+  public void SetConnectionAsync(HeuristicLab.Hive.Client.Core.ClientConsoleService.ConnectionContainer container, object userState) {
+    if ((this.onBeginSetConnectionDelegate == null)) {
+      this.onBeginSetConnectionDelegate = new BeginOperationDelegate(this.OnBeginSetConnection);
+    }
+    if ((this.onEndSetConnectionDelegate == null)) {
+      this.onEndSetConnectionDelegate = new EndOperationDelegate(this.OnEndSetConnection);
+    }
+    if ((this.onSetConnectionCompletedDelegate == null)) {
+      this.onSetConnectionCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnSetConnectionCompleted);
+    }
+    base.InvokeAsync(this.onBeginSetConnectionDelegate, new object[] {
                     container}, this.onEndSetConnectionDelegate, this.onSetConnectionCompletedDelegate, userState);
-    }
-  }
-}
+  }
+
+  public void Disconnect() {
+    base.Channel.Disconnect();
+  }
+
+  [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+  public System.IAsyncResult BeginDisconnect(System.AsyncCallback callback, object asyncState) {
+    return base.Channel.BeginDisconnect(callback, asyncState);
+  }
+
+  [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+  public void EndDisconnect(System.IAsyncResult result) {
+    base.Channel.EndDisconnect(result);
+  }
+
+  private System.IAsyncResult OnBeginDisconnect(object[] inValues, System.AsyncCallback callback, object asyncState) {
+    return this.BeginDisconnect(callback, asyncState);
+  }
+
+  private object[] OnEndDisconnect(System.IAsyncResult result) {
+    this.EndDisconnect(result);
+    return null;
+  }
+
+  private void OnDisconnectCompleted(object state) {
+    if ((this.DisconnectCompleted != null)) {
+      InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
+      this.DisconnectCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(e.Error, e.Cancelled, e.UserState));
+    }
+  }
+
+  public void DisconnectAsync() {
+    this.DisconnectAsync(null);
+  }
+
+  public void DisconnectAsync(object userState) {
+    if ((this.onBeginDisconnectDelegate == null)) {
+      this.onBeginDisconnectDelegate = new BeginOperationDelegate(this.OnBeginDisconnect);
+    }
+    if ((this.onEndDisconnectDelegate == null)) {
+      this.onEndDisconnectDelegate = new EndOperationDelegate(this.OnEndDisconnect);
+    }
+    if ((this.onDisconnectCompletedDelegate == null)) {
+      this.onDisconnectCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnDisconnectCompleted);
+    }
+    base.InvokeAsync(this.onBeginDisconnectDelegate, null, this.onEndDisconnectDelegate, this.onDisconnectCompletedDelegate, userState);
+  }
+
+}
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/ServiceLocator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/ServiceLocator.cs	(revision 952)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/ServiceLocator.cs	(revision 953)
@@ -4,5 +4,5 @@
 using System.Text;
 using System.ServiceModel;
-//using HeuristicLab.Hive.Client.Communication.ClientConsole;
+//using HeuristicLab.Hive.Client.ClientConsole;
 
 namespace HeuristicLab.Hive.Client.Console {
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/app.config
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/app.config	(revision 952)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/app.config	(revision 953)
@@ -1,28 +1,33 @@
 ﻿<?xml version="1.0" encoding="utf-8" ?>
 <configuration>
+    <configSections>
+        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+            <section name="HeuristicLab.Hive.Client.Console.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+        </sectionGroup>
+    </configSections>
     <system.serviceModel>
         <bindings>
-          <netTcpBinding>
-            <binding name="NetTcpBinding_IClientConsoleCommunicator" closeTimeout="00:01:00"
-                openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
-                transactionFlow="false" transferMode="Buffered" transactionProtocol="OleTransactions"
-                hostNameComparisonMode="StrongWildcard" listenBacklog="10"
-                maxBufferPoolSize="524288" maxBufferSize="65536" maxConnections="10"
-                maxReceivedMessageSize="65536">
-              <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
-                  maxBytesPerRead="4096" maxNameTableCharCount="16384" />
-              <reliableSession ordered="true" inactivityTimeout="00:10:00"
-                  enabled="false" />
-              <security mode="Transport">
-                <transport clientCredentialType="Windows" protectionLevel="EncryptAndSign" />
-                <message clientCredentialType="Windows" />
-              </security>
-            </binding>
-          </netTcpBinding>
+            <netTcpBinding>
+                <binding name="NetTcpBinding_IClientConsoleCommunicator" closeTimeout="00:01:00"
+                    openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
+                    transactionFlow="false" transferMode="Buffered" transactionProtocol="OleTransactions"
+                    hostNameComparisonMode="StrongWildcard" listenBacklog="10"
+                    maxBufferPoolSize="524288" maxBufferSize="65536" maxConnections="10"
+                    maxReceivedMessageSize="65536">
+                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
+                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
+                        enabled="false" />
+                    <security mode="Transport">
+                        <transport clientCredentialType="Windows" protectionLevel="EncryptAndSign" />
+                        <message clientCredentialType="Windows" />
+                    </security>
+                </binding>
+            </netTcpBinding>
         </bindings>
         <client>
             <endpoint address="net.tcp://127.0.0.1:8000/ClientConsole/ClientConsoleCommunicator"
                 binding="netTcpBinding" bindingConfiguration="NetTcpBinding_IClientConsoleCommunicator"
-                contract="ClientWCFService.IClientConsoleCommunicator" name="NetTcpBinding_IClientConsoleCommunicator">
+                contract="ClientService.IClientConsoleCommunicator" name="NetTcpBinding_IClientConsoleCommunicator">
                 <identity>
                     <userPrincipalName value="mse08004@fhs-hagenberg.ac.at" />
@@ -31,3 +36,10 @@
         </client>
     </system.serviceModel>
+    <userSettings>
+        <HeuristicLab.Hive.Client.Console.Properties.Settings>
+            <setting name="IpAdress" serializeAs="String">
+                <value>10.0.0.1</value>
+            </setting>
+        </HeuristicLab.Hive.Client.Console.Properties.Settings>
+    </userSettings>
 </configuration>
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 952)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 953)
@@ -69,4 +69,5 @@
 copy "%SolutionDir%\HeuristicLab.Hive.Client.Common\%Outdir%\HeuristicLab.Hive.Client.Common-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Hive.Client.Console\%Outdir%\HeuristicLab.Hive.Client.Console-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Client.Console\%Outdir%\ZedGraph.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Hive.Client.ExecutionEngine\%Outdir%\HeuristicLab.Hive.Client.ExecutionEngine-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Hive.Client.Communication\%Outdir%\HeuristicLab.Hive.Client.Communication-3.2.dll" .\plugins
Index: /trunk/sources/HeuristicLab/MergeConfigs.cmd
===================================================================
--- /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 952)
+++ /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 953)
@@ -2,2 +2,3 @@
 ConfigMerger "%SolutionDir%\HeuristicLab.PluginInfrastructure.GUI\%Outdir%\HeuristicLab.PluginInfrastructure.GUI.dll.config" "HeuristicLab.exe.config"
 ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Client.Core\%Outdir%\HeuristicLab.Hive.Client.Core-3.2.dll.config" "HeuristicLab.exe.config"
+ConfigMerger "%SolutionDir%\HeuristicLab.Hive.Client.Console\%Outdir%\HeuristicLab.Hive.Client.Console-3.2.dll.config" "HeuristicLab.exe.config"
